sticky-add {
    display: flex;
    gap: 77px;
    align-items: center;
    padding-block: 12px;
}

sticky-add span {
    font-weight: 700;
}

.custom-buy-now {
    display: none;
}

.custom-buy-now span {
    font-size: 15px;
}

.custom-buy-now[disabled] .buy-now {
    display: none;
}

.custom-buy-now[disabled] {
    pointer-events: none;
    opacity: .5;
}

.custom-buy-now .sold-out {
    display: none;
}

.custom-buy-now[disabled] .sold-out {
    display: block;
}

sticky-add .custom-select {
    position: relative;
    width: 180px;
}

sticky-add .custom-select[data-size="0"] {
    display: none;
}

sticky-add .custom-select__trigger {
    width: 100%;
    height: 40px;
    padding: 0 12px;
    border: 1px solid rgba(255, 255, 255, 0.4);
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    background-color: transparent;
    border-radius: 50px;
}

sticky-add .custom-select__arrow {
    transition: transform 0.2s ease;
}

sticky-add .custom-select.open .custom-select__arrow {
    transform: rotate(180deg);
}

/* 下拉列表 */
sticky-add .custom-select__options {
    position: absolute;
    left: 0;
    right: 0;
    top: calc(100% + 4px);
    background: #fff;
    border: 1px solid #ddd;
    max-height: 200px;
    overflow-y: auto;
    display: none;
    z-index: 10;
    color: #333333;
}

sticky-add .custom-select.open .custom-select__options {
    display: block;
}

sticky-add .custom-select__option {
    padding: 10px 12px;
    cursor: pointer;
}

sticky-add .custom-select__option:hover {
    background: #f5f5f5;
}

sticky-add .custom-select__option.active {
    background: #eee;
}

sticky-add theme-input-number {
    height: 100%;
    width: auto;
}

sticky-add theme-input-number::after {
    --input-border-opacity: 50%
}


sticky-add .product-price__item.product-price__sale {
    font-size: 1.6rem;
}

sticky-add .custom-select {
    grid-column-start: 1;
}

sticky-add theme-input-number {
    grid-column-start: 2;
}

sticky-add theme-product-form {
    grid-column-start: 3;
    flex: 0 0 auto;
}

sticky-add .product-price {
    font-size: calc(2rem * var(--font-body-scale));
}

sticky-add .product-price__origin {
    padding-top: 0;
    text-decoration: line-through;
    font-size: 1.8rem;
    color: rgb(var(--color-compare-at-price));
}

sticky-add .product-price__sale {
    color: rgb(var(--color-sale-off-price));
    font-weight: var(--font-body-weight-large);

}

sticky-add .yg-button {
    font-size: 1.5rem;
    background-color: rgb(var(--color-button-background));
    color: rgb(var(--color-button-text));
    border-color: rgb(var(--color-entry-line));
    border-width: 1px;
    border-radius: 50px;
    padding: 3px 15px;
}

sticky-add .ymq-box {
    display: none !important
}

@media(max-width:959px) {
    sticky-add .custom-select {
        width: auto;
    }

    sticky-add .form__button {
        display: flex;
        flex-direction: row;
        gap: 13px;
    }

    sticky-add {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 30px;
        width: 100%;

    }

    .custom-buy-now {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-block: 7px;
        padding-inline: 11px;
        border-radius: 50px;
        font-size: 12px;
        min-width: 100px;
        background-color: rgb(255, 171, 0);
    }
}

@media(max-width:1400px) {
    sticky-add {
        gap: 30px;
    }

    sticky-add .product-price__item.product-price__sale {
        font-size: 20px;
    }

    sticky-add .product-price__origin {
        font-size: 12px;
    }
}